package com.rjconsultores.ventaboletos.relatorios;

public class PrefixoAntt {
	private String antt;
	private String prefixo;
	private String localOrigem;
	private String localDestino;

	public String getAntt() {
		return antt;
	}

	public void setAntt(String antt) {
		this.antt = antt;
	}

	public String getPrefixo() {
		return prefixo;
	}

	public void setPrefixo(String prefixo) {
		this.prefixo = prefixo;
	}

	public String getLocalOrigem() {
		return localOrigem;
	}

	public void setLocalOrigem(String localOrigem) {
		this.localOrigem = localOrigem;
	}

	public String getLocalDestino() {
		return localDestino;
	}

	public void setLocalDestino(String localDestino) {
		this.localDestino = localDestino;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((antt == null) ? 0 : antt.hashCode());
		result = prime * result + ((localDestino == null) ? 0 : localDestino.hashCode());
		result = prime * result + ((localOrigem == null) ? 0 : localOrigem.hashCode());
		result = prime * result + ((prefixo == null) ? 0 : prefixo.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		PrefixoAntt other = (PrefixoAntt) obj;
		if (antt == null) {
			if (other.antt != null)
				return false;
		} else if (!antt.equals(other.antt))
			return false;
		if (localDestino == null) {
			if (other.localDestino != null)
				return false;
		} else if (!localDestino.equals(other.localDestino))
			return false;
		if (localOrigem == null) {
			if (other.localOrigem != null)
				return false;
		} else if (!localOrigem.equals(other.localOrigem))
			return false;
		if (prefixo == null) {
			if (other.prefixo != null)
				return false;
		} else if (!prefixo.equals(other.prefixo))
			return false;
		return true;
	}

}
